# -*- coding: utf-8 -*-
# This file is part of the investment-module from m-ds for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

from trytond.pool import Pool
from .watchlist import Watchlist
from .line import WatchlistEntry, LineContext
from .wizard_openwb import OpenWatchlist
from .ir import Rule


def register():
    Pool.register(
        Watchlist,
        WatchlistEntry,
        LineContext,
        Rule,
        module='investment_watchlist', type_='model')
    Pool.register(
        OpenWatchlist,
        module='investment_watchlist', type_='wizard')
