# -*- coding: utf-8 -*-
# This file is part of the cashbook-module from m-ds for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

from trytond.pyson import PYSONEncoder
from trytond.wizard import Wizard, StateAction
from trytond.i18n import gettext
from trytond.pool import Pool
from trytond.transaction import Transaction


class OpenWatchlist(Wizard):
    'Open Watchlist'
    __name__ = 'investment_watchlist.wizopen_list'

    start_state = 'open_'
    open_ = StateAction('investment_watchlist.act_watchlist_context_view')

    def do_open_(self, action):
        """ open view from doubleclick
        """
        Watchlist = Pool().get('investment_watchlist.list')
        context = Transaction().context

        wlist, = Watchlist.browse([context['active_id']])
        action['pyson_context'] = PYSONEncoder().encode({
            'watchlist': wlist.id,
            })
        action['name'] = gettext(
            'investment_watchlist.msg_name_list',
            wname=wlist.rec_name)
        return action, {}

# end OpenWatchlist
